#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define upstream_name perlqt
%define rel 1
%global __provides_exclude_from %_docdir/%name/examples/.*
%global __requires_exclude_from %_docdir/%name/examples/.*
%define _exclude_files_from_autoprov %_docdir/%name/examples/.*
%define _with_qwt 1
%define perl_version %(rpm -q --qf '%%{version}' perl-base)

%define upstream_name perlqt

Name: perl-qt4
Summary: Qt bindings for Perl
Version: 4.14.3
Release: %mkrel %{rel}
Group: Development/KDE and Qt
License: GPLv2 and Artistic and GPLv3 and LGPLv2
URL: http://www.kde.org
Source: http://download.kde.org/stable/%{version}/src/%{upstream_name}-%{version}.tar.xz
BuildRequires: smokeqt-devel >= %{version}
BuildRequires: perl-devel
BuildRequires: cmake
Conflicts: perl-kde < 4.6.90

%description
A Qt4 bindings for perl language.

%files 
%doc MANIFEST README
%_bindir/puic4
%_bindir/prcc4_bin
%_bindir/qdbusxml2perl
%perl_sitearch/Qt*.pm
%perl_sitearch/QtCore4
%perl_sitearch/auto/Qt*
%perl_sitelib/*/Phonon.pm
%perl_sitelib/*/QImageBlitz.pm
%perl_sitelib/*/Qsci.pm
%if %{_with_qwt}
%perl_sitelib/*/Qwt.pm
%perl_sitelib/*/auto/Qwt/Qwt.so
%endif
%perl_sitelib/*/auto/Phonon/Phonon.so
%perl_sitelib/*/auto/QImageBlitz/QImageBlitz.so
%perl_sitelib/*/auto/Qsci/Qsci.so

#------------------------------------------------------------------------------

%package devel
Summary: Headers files for %{name}
Group: Development/Libraries
Requires: smokeqt-devel >= %version
Requires: %{name} = %version-%release
Requires: perl-base = %{perl_version}

%description devel
Headers files for %{name}

%files devel
%dir %_includedir/%upstream_name
%_includedir/%upstream_name/QtCore4.h
%_includedir/%upstream_name/binding.h
%_includedir/%upstream_name/handlers.h
%_includedir/%upstream_name/listclass_macros.h
%_includedir/%upstream_name/marshall.h
%_includedir/%upstream_name/marshall_basetypes.h
%_includedir/%upstream_name/marshall_complex.h
%_includedir/%upstream_name/marshall_macros.h
%_includedir/%upstream_name/marshall_primitives.h
%_includedir/%upstream_name/marshall_types.h
%_includedir/%upstream_name/perlqt.h
%_includedir/%upstream_name/ppport.h
%_includedir/%upstream_name/smokehelp.h
%_includedir/%upstream_name/smokeperl.h
%_includedir/%upstream_name/util.h
%dir %_datadir/%upstream_name
%_datadir/%upstream_name/cmake/FindPerlMore.cmake
%_datadir/%upstream_name/cmake/PerlQtConfig.cmake
%_datadir/%upstream_name/cmake/PerlQtExport.cmake
%_datadir/%upstream_name/doxsubpp.pl
%_datadir/perlqt/cmake/PerlQtExport-noconfig.cmake
#------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}

%build
export LD=/usr/bin/ld.gold 
%cmake_qt4 -DENABLE_GUI_TESTS=ON
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Thu Dec 04 2014 bb <bb> 4.14.3-1pclos2014
- import
